# Get project usage data

get ` https://app.mk.io/api/v1/projects/:project_name/usage`

Get usage data since the start of the month for a specified project.

RBAC Capability Required: `core.project.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your
auth token.

## Path parameters

project_name string Required

## Response

### 200 OK

supplemental object [ProjectUsageReportSupplementalData](https://docs.mediakind.com/api-reference/management-api/schemas/projectusagereportsupplementaldata) Required

Metadata pertaining to the query.

Show 4 properties
Hide 4 properties

- end string Required
  - The end date of the query.
- project string Required
  - The name of the project.
- records integer Required
  - The number of result records returned.
- start string Required
  - The start date of the query.

valuelist of objects [ProjectUsageReportMeterData](https://docs.mediakind.com/api-reference/management-api/schemas/projectusagereportmeterdata) Required

The usage data per day per meter

Show 5 properties
Hide 5 properties

- family string Required
  - The family that this solution belongs to.
- meterName string Required
  - The meter name.
- quantity double Required
  - The number of units accrued on this date.
- solution string Required
  - The solution that this meter belongs to.
- unit string Required
  - The unit that this meter is reported in, e.g. 'gigabytes' or 'minutes'.

## Errors

### 400 Bad Request

error object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties
Hide 3 properties

- code string Required
  - The error code.
- detail string Required
  - The error message.
- extraDetail map from strings to any Optional
  - Extra information regarding this error.
  
  Show value schema
  Hide value schema
  
  [any key] any
- ref string Required
  - A reference to the request that caused the error.
- status integer Required
  - The HTTP status code

### 401 Unauthorized

error object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties
Hide 3 properties

- code string Required
  - The error code.
- detail string Required
  - The error message.
- extraDetail map from strings to any Optional
  - Extra information regarding this error.

### 403 Forbidden

error object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties
Hide 3 properties

### 404 Not Found

error object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties
Hide 3 properties

### 429 Too Many Requests

error object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties
Hide 3 properties

### 500 Internal Server Error

error object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties
Hide 3 properties
